[BACK]Return to patch-contrib_download__prerequisites CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / cross / xtensa-esp32-elf-gcc / patches

File: [cvs.NetBSD.org] / pkgsrc / cross / xtensa-esp32-elf-gcc / patches / patch-contrib_download__prerequisites (download)

Revision 1.1, Sun Mar 24 11:58:04 2019 UTC (11 months ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1, HEAD

xtensa-esp32-elf-gcc: import xtensa-esp32-elf-gcc-8.2.0

Cross GCC for Espressif ESP32 bare metal environment.

$NetBSD: patch-contrib_download__prerequisites,v 1.1 2019/03/24 11:58:04 tnn Exp $

* POSIX shell portability

--- contrib/download_prerequisites.orig	2017-04-11 16:34:07.000000000 +0000
+++ contrib/download_prerequisites
@@ -122,7 +122,7 @@ md5_check() {
   md5_checksum_output=$(md5 -r "${file_to_check}")
   # Grab the text before the first space
   md5_checksum_detected="${md5_checksum_output%% *}"
-  [ "${md5_checksum_expected}" == "${md5_checksum_detected}" ] \
+  [ "${md5_checksum_expected}" = "${md5_checksum_detected}" ] \
     || die "Cannot verify integrity of possibly corrupted file ${file_to_check}"
   echo "${file_to_check}: OK"
 }